Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
usermgmt::RoleEvent Struct Reference

Base type of all account event. More...

`import <RoleManager.idl;`

Inheritance diagram for usermgmt::RoleEvent:

## Public Attributes
string | rolename
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Base type of all account event.

Definition at line 18 of file RoleManager.idl.

## Member Data Documentation

## ◆ rolename

string usermgmt::RoleEvent::rolename

Definition at line 19 of file RoleManager.idl.

The documentation for this struct was generated from the following file:

- RoleManager.idl